## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SchemaASABaseLoader.ASABaseUDTLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader
              org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseUDTLoader

Enclosing class:
  SchemaASABaseLoader

    public static class SchemaASABaseLoader.ASABaseUDTLoader

extends JDBCUserDefinedTypeLoader

Nested Class Summary
`static class` `SchemaASABaseLoader.ASABaseUDTLoader.ASAUDTFactory`

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader
`JDBCUserDefinedTypeLoader.DistinctTypeFactory, JDBCUserDefinedTypeLoader.IUDTFactory, JDBCUserDefinedTypeLoader.StructTypeFactory`

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader
`COLUMN_BASE_TYPE, COLUMN_CLASS_NAME, COLUMN_DATA_TYPE, COLUMN_REMARKS, COLUMN_TYPE_NAME`

Constructor Summary
`SchemaASABaseLoader.ASABaseUDTLoader(ICatalogObject catalogObj)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader
`clearUDTs, loadUDTs, loadUDTs`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaASABaseLoader.ASABaseUDTLoader

    public SchemaASABaseLoader.ASABaseUDTLoader(ICatalogObject catalogObj)